Skip to main content
GET
/
stats
/
api
/
v1
/
fees
Get Strategy Fees History
curl --request GET \
  --url https://api.example.com/stats/api/v1/fees
{
  "nextEpoch": 123,
  "nextTxOrdinal": 123,
  "nextOrdinal": 123,
  "value": [
    {
      "epochId": "<string>",
      "txOrdinal": "<string>",
      "ordinal": "<string>",
      "amount": "<string>",
      "feeSymbol": "<string>",
      "symbol": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string
required

The trader address.

strategyId
string
required

The strategy ID.

limit
integer
default:500

The number of rows to return

epoch
integer

The epoch boundary used when fetching the next timeseries page.

txOrdinal
integer

The txOrdinal boundary used when fetching the next timeseries page. Must be passed along with epoch.

ordinal
integer

The ordinal boundary used when fetching the next timeseries page. Must be passed along with epoch and txOrdinal.

symbol
string

The symbol

order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc

Response

Fees timeseries data

Successful response for the Fee API

nextEpoch
number | null
required

Pointer for the epoch boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

nextTxOrdinal
number | null
required

Pointer for the txOrdinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

3432

null

nextOrdinal
number | null
required

Pointer for the ordinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026